#pragma once

#include "CoreMinimal.h"
#include "AbstractBarkRuleCondition.h"
#include "GameplayTagContainer.h"
#include "AbstractBarkRuleConditionWithId.generated.h"

USTRUCT(BlueprintType)
struct FAbstractBarkRuleConditionWithId : public FAbstractBarkRuleCondition
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FGameplayTag FactKey;

public:
	BARKSYSTEM_API FAbstractBarkRuleConditionWithId();
};

FORCEINLINE uint32 GetTypeHash(const FAbstractBarkRuleConditionWithId) { return 0; }
